# openrqm.api.DocumentApi

## Load the API package
```dart
import 'package:openrqm/api.dart';
```

All URIs are relative to *https://virtserver.swaggerhub.com/benjaminSchilling33/OpenRQM/1.0.0*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getDocument**](DocumentApi.md#getDocument) | **GET** /document | Get a document


# **getDocument**
> RQMDocument getDocument()

Get a document

### Example 
```dart
import 'package:openrqm/api.dart';

var api_instance = new DocumentApi();

try { 
    var result = api_instance.getDocument();
    print(result);
} catch (e) {
    print("Exception when calling DocumentApi->getDocument: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**RQMDocument**](RQMDocument.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

