# openrqm.api.DocumentsApi

## Load the API package
```dart
import 'package:openrqm/api.dart';
```

All URIs are relative to *https://virtserver.swaggerhub.com/benjaminSchilling33/OpenRQM/1.0.0*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getDocuments**](DocumentsApi.md#getDocuments) | **GET** /documents | Get all documents


# **getDocuments**
> RQMDocuments getDocuments()

Get all documents

### Example 
```dart
import 'package:openrqm/api.dart';

var api_instance = new DocumentsApi();

try { 
    var result = api_instance.getDocuments();
    print(result);
} catch (e) {
    print("Exception when calling DocumentsApi->getDocuments: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**RQMDocuments**](RQMDocuments.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

