# openrqm.api.ElementsApi

## Load the API package
```dart
import 'package:openrqm/api.dart';
```

All URIs are relative to *https://virtserver.swaggerhub.com/benjaminSchilling33/OpenRQM/1.0.0*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getElements**](ElementsApi.md#getElements) | **GET** /elements | Get all elements


# **getElements**
> RQMElements getElements(documentid)

Get all elements

### Example 
```dart
import 'package:openrqm/api.dart';

var api_instance = new ElementsApi();
var documentid = 789; // int | The document id for which the elements are fetched

try { 
    var result = api_instance.getElements(documentid);
    print(result);
} catch (e) {
    print("Exception when calling ElementsApi->getElements: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **documentid** | **int**| The document id for which the elements are fetched | [optional] 

### Return type

[**RQMElements**](RQMElements.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

