# openrqm.api.WorkspacesApi

## Load the API package
```dart
import 'package:openrqm/api.dart';
```

All URIs are relative to *https://virtserver.swaggerhub.com/benjaminSchilling33/OpenRQM/1.0.0*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getWorkspaces**](WorkspacesApi.md#getWorkspaces) | **GET** /workspaces | Get all workspaces


# **getWorkspaces**
> RQMWorkspaces getWorkspaces()

Get all workspaces

### Example 
```dart
import 'package:openrqm/api.dart';

var api_instance = new WorkspacesApi();

try { 
    var result = api_instance.getWorkspaces();
    print(result);
} catch (e) {
    print("Exception when calling WorkspacesApi->getWorkspaces: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**RQMWorkspaces**](RQMWorkspaces.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

