part of openrqm.api;

class RQMElement {
  
  int id = null;
  

  int documentId = null;
  

  int elementTypeId = null;
  

  String content = null;
  

  String rank = null;
  

  int parentElementId = null;
  
  RQMElement();

  @override
  String toString() {
    return 'RQMElement[id=$id, documentId=$documentId, elementTypeId=$elementTypeId, content=$content, rank=$rank, parentElementId=$parentElementId, ]';
  }

  RQMElement.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id =
        json['id']
    ;
    documentId =
        json['documentId']
    ;
    elementTypeId =
        json['elementTypeId']
    ;
    content =
        json['content']
    ;
    rank =
        json['rank']
    ;
    parentElementId =
        json['parentElementId']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'documentId': documentId,
      'elementTypeId': elementTypeId,
      'content': content,
      'rank': rank,
      'parentElementId': parentElementId
     };
  }

  static List<RQMElement> listFromJson(List<dynamic> json) {
    return json == null ? new List<RQMElement>() : json.map((value) => new RQMElement.fromJson(value)).toList();
  }

  static Map<String, RQMElement> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, RQMElement>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new RQMElement.fromJson(value));
    }
    return map;
  }
}

