# openrqm.api.WorkspaceApi

## Load the API package
```dart
import 'package:openrqm/api.dart';
```

All URIs are relative to *https://virtserver.swaggerhub.com/benjaminSchilling33/OpenRQM/1.0.0*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getWorkspace**](WorkspaceApi.md#getWorkspace) | **GET** /workspace | Get a workspace


# **getWorkspace**
> RQMWorkspace getWorkspace()

Get a workspace

### Example 
```dart
import 'package:openrqm/api.dart';

var api_instance = new WorkspaceApi();

try { 
    var result = api_instance.getWorkspace();
    print(result);
} catch (e) {
    print("Exception when calling WorkspaceApi->getWorkspace: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**RQMWorkspace**](RQMWorkspace.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

