part of openrqm.api;

class RQMWorkspace {
  
  int id = null;
  

  String name = null;
  

  int workspaceId = null;
  
  RQMWorkspace();

  @override
  String toString() {
    return 'RQMWorkspace[id=$id, name=$name, workspaceId=$workspaceId, ]';
  }

  RQMWorkspace.fromJson(Map<String, dynamic> json) {
    if (json == null) return;
    id =
        json['id']
    ;
    name =
        json['name']
    ;
    workspaceId =
        json['workspaceId']
    ;
  }

  Map<String, dynamic> toJson() {
    return {
      'id': id,
      'name': name,
      'workspaceId': workspaceId
     };
  }

  static List<RQMWorkspace> listFromJson(List<dynamic> json) {
    return json == null ? new List<RQMWorkspace>() : json.map((value) => new RQMWorkspace.fromJson(value)).toList();
  }

  static Map<String, RQMWorkspace> mapFromJson(Map<String, Map<String, dynamic>> json) {
    var map = new Map<String, RQMWorkspace>();
    if (json != null && json.length > 0) {
      json.forEach((String key, Map<String, dynamic> value) => map[key] = new RQMWorkspace.fromJson(value));
    }
    return map;
  }
}

